<?php
/**
 * JComments plugin for EventList
 *
 * @version 2.0
 * @package JComments
 * @author Sergey M. Litvinov (smart@joomlatune.ru)
 * @copyright (C) 2006-2009 by Sergey M. Litvinov (http://www.joomlatune.ru)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 **/

class jc_com_abook extends JCommentsPlugin 
{
	function getTitles($ids)
	{
		$db = & JCommentsFactory::getDBO();
		$db->setQuery( 'SELECT id, title FROM #__abbook WHERE id IN (' . implode(',', $ids) . ')' );
		return $db->loadObjectList('id');
	}

	function getObjectTitle($id)
	{
		$db = & JCommentsFactory::getDBO();
		$db->setQuery( 'SELECT title, id FROM #__abbook WHERE id = ' . $id );
		return $db->loadResult();
	}

	function getObjectLink($id)
	{
		// Itemid meaning of our component
		$_Itemid = JCommentsPlugin::getItemid( 'com_abook' );
 
		// url link creation for given object by id 
		$link = JRoute::_( 'index.php?option=com_abook&task=view&id='. $id .'&Itemid='. $_Itemid );
	return $link;

	}

	function getObjectOwner($id) {

		$db = & JCommentsFactory::getDBO();
		$db->setQuery( 'SELECT created_by, id FROM #__abbook WHERE id = ' . $id );
		$userid = $db->loadResult();
		
		return $userid;
	}

	function getCategories($filter = '') {

                $db = & JCommentsFactory::getDBO();

                $query = "SELECT c.id AS `value`, CONCAT_WS( ' / ', 'Abook', c.name) AS `text`"
                        . "\n FROM #__abcategories AS c"
                        . (($filter != '') ? "\n WHERE c.id IN ( ".$filter." )" : '')
                        . "\n ORDER BY c.name"
                        ;
                $db->setQuery( $query );
                $rows = $db->loadObjectList();

                return $rows;
        }
}
?>
